IXP_EMALLOC(3)

NAME

ixp_emalloc, ixp_emallocz, ixp_erealloc, ixp_estrdup

SYNOPSIS
  #include <ixp.h>

  void *ixp_emalloc(uint size);

  void *ixp_emallocz(uint size);

  void *ixp_erealloc(void *ptr, uint size);

  char *ixp_estrdup(const char *str);

DESCRIPTION

These functions act like their stdlib counterparts, but print an error message and exit the program if allocation fails. ixp_emallocz acts like ixp_emalloc but additionally zeros the result of the allocation.